#if !defined(AFX_SplitterWndExt_H__7F0EE763_91EB_4913_8F13_C21A99B4A28E__INCLUDED_)
#define AFX_SplitterWndExt_H__7F0EE763_91EB_4913_8F13_C21A99B4A28E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SplitterWndExt.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSplitterWndExt window

class CSplitterWndExt : public CSplitterWndEx
{
public:
	CSplitterWndExt();
	virtual ~CSplitterWndExt();

// Attributes
public:

// Operations
public:
	virtual void HideRow1(){HideRow(1);}
	virtual void ShowRow1(){ShowHiddenRow();}
	virtual void HideCol1(){HideColumn(1);}
	virtual void ShowCol1(){ShowHiddenColumn();}
	virtual BOOL IsCol2Hidden(){return (-1 != m_nHiddenCol);}
	virtual BOOL IsRow1Hidden(){return (-1 != m_nHiddenRow);}
	virtual void SetActivePane(int row, int col, CWnd* pWnd = NULL);

protected:
	int m_nHiddenRow;
	int m_nHiddenCol;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSplitterWndExt)
	//}}AFX_VIRTUAL

// Implementationd
protected:
	virtual void HideColumn(int nColToHide);
	virtual void ShowHiddenColumn();
	virtual void HideRow(int nRowToHide);
	virtual void ShowHiddenRow();

	// Generated message map functions
protected:
	//{{AFX_MSG(CSplitterWndExt)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SplitterWndExt_H__7F0EE763_91EB_4913_8F13_C21A99B4A28E__INCLUDED_)
