
// ExploreDoc.cpp : implementation of the CExploreDoc class
//

#include "stdafx.h"
#include "Explore.h"

#include "MainFrm.h"
#include "ExploreDoc.h"
#include "ChildFrm.h"
#include "LeftView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CExploreDoc

IMPLEMENT_DYNCREATE(CExploreDoc, CDocument)

BEGIN_MESSAGE_MAP(CExploreDoc, CDocument)
END_MESSAGE_MAP()


// CExploreDoc construction/destruction

CExploreDoc::CExploreDoc()
{
	// TODO: add one-time construction code here

}

CExploreDoc::~CExploreDoc()
{
}

BOOL CExploreDoc::OnNewDocument()
{
	if(! CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)

//	CString sDateOrg(saItem.GetAt(FAZE_DATEORG));
	CString sDateOrg(_T("2017-03-22 12:34:23.0000"));
	int nIndex = sDateOrg.ReverseFind('.');
	if(nIndex > 0 && nIndex < sDateOrg.GetLength())
		sDateOrg = sDateOrg.Left(nIndex);

	return TRUE;
}

// CExploreDoc serialization

void CExploreDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}


// CExploreDoc diagnostics

#ifdef _DEBUG
void CExploreDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CExploreDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG


// CExploreDoc commands

DWORD CExploreDoc::GetTreeItemData()
{
	CMainFrame* pFrame = (CMainFrame*)AfxGetMainWnd();
	CChildFrame* pChild = (CChildFrame*)pFrame->MDIGetActive();
	if(NULL == pChild)
		return -1;
	CLeftView* pTreeView = (CLeftView*)pChild->GetExploreTree();
	if(NULL == pTreeView)
		return -1;

	CTreeCtrl* pTreeCtrl = &pTreeView->GetTreeCtrl();
	if(NULL == pTreeCtrl)
		return -1;
	HTREEITEM hSelectItem = pTreeCtrl->GetSelectedItem();
	if(NULL == hSelectItem)
		return -1;

	return pTreeCtrl->GetItemData(hSelectItem);
}
