// ExploreListView2.cpp : implementation file
//

#include "stdafx.h"
#include "Explore.h"
#include "ExploreListView2.h"
#include "ExploreDoc.h"

#include "Explore.h"
#include "ChildFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CExploreListView2

IMPLEMENT_DYNCREATE(CExploreListView2, CListView)

CExploreListView2::CExploreListView2()
	:m_bInitList(FALSE)
{
}

CExploreListView2::~CExploreListView2()
{
}

BEGIN_MESSAGE_MAP(CExploreListView2, CListView)
	//{{AFX_MSG_MAP(CExploreListView2)
	ON_WM_DESTROY()
	ON_NOTIFY_REFLECT(NM_RCLICK, OnRclick)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CExploreListView2 drawing

void CExploreListView2::OnDraw(CDC* pDC)
{
	CExploreDoc* pDoc = GetDocument();
	// TODO: add draw code here
}

/////////////////////////////////////////////////////////////////////////////
// CExploreListView2 diagnostics

#ifdef _DEBUG
void CExploreListView2::AssertValid() const
{
	CListView::AssertValid();
}

void CExploreListView2::Dump(CDumpContext& dc) const
{
	CListView::Dump(dc);
}

CExploreDoc* CExploreListView2::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CExploreDoc)));
	return (CExploreDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CExploreListView2 message handlers

BOOL CExploreListView2::PreCreateWindow(CREATESTRUCT& cs) 
{
	// TODO: Add your specialized code here and/or call the base class

	cs.style |= LVS_REPORT;

	return CListView::PreCreateWindow(cs);
}

void CExploreListView2::OnDestroy() 
{
	CListView::OnDestroy();

	// TODO: Add your message handler code here

}

void CExploreListView2::OnInitialUpdate() 
{
	CListView::OnInitialUpdate();

	// TODO: Add your specialized code here and/or call the base class

	CListCtrl& ListCtrl = GetListCtrl();
	if(ListCtrl.GetHeaderCtrl()->GetItemCount() > 0)
		return;

	ListCtrl.SetExtendedStyle(LVS_EX_HEADERDRAGDROP | LVS_EX_INFOTIP | LVS_EX_FULLROWSELECT);

	ListCtrl.InsertColumn(0, _T("Col 0"), LVCFMT_LEFT, 200);
	ListCtrl.InsertColumn(1, _T("Col 1"),	LVCFMT_LEFT, 200);
	ListCtrl.InsertColumn(2, _T("Col 2"), LVCFMT_LEFT, 200);
	ListCtrl.InsertColumn(3, _T("Col 3"), LVCFMT_LEFT, 200);
	ListCtrl.InsertColumn(4, _T("Col 4"), LVCFMT_LEFT, 200);
	ListCtrl.InsertColumn(5, _T("Col 5"), LVCFMT_LEFT, 200);
	ListCtrl.InsertColumn(6, _T("Col 6"), LVCFMT_LEFT, 200);
	ListCtrl.InsertColumn(7, _T("Col 7"), LVCFMT_LEFT, 200);
	ListCtrl.InsertColumn(8, _T("Col 8"), LVCFMT_LEFT, 200);
	ListCtrl.InsertColumn(9, _T("Col 9"), LVCFMT_LEFT, 200);
	ListCtrl.InsertColumn(10,_T("Col 10"), LVCFMT_LEFT, 200);
	ListCtrl.InsertColumn(11,_T("Col 11"), LVCFMT_LEFT, 200);
	ListCtrl.InsertColumn(12,_T("Col 12"), LVCFMT_LEFT, 200);
	ListCtrl.InsertColumn(13,_T("Col 13"), LVCFMT_LEFT, 200);

	m_bInitList = TRUE;
}

void CExploreListView2::OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint) 
{
	// TODO: Add your specialized code here and/or call the base class

	if(0 != lHint)
	{
		CStringArray saResult;
		for(int i = 0;i < 161;++i)
		{
			CString sTemp;
			sTemp.Format(_T("CExploreListView2 Item %d"), i);
			saResult.Add(sTemp);
		}
		PopulateList(saResult);
	}
}

void CExploreListView2::PopulateList(CStringArray& saData)
{
	int nIndex, nRow = 0;
	CListCtrl& ListCtrl = GetListCtrl();
	ListCtrl.DeleteAllItems();

	if(0 == saData.GetSize() % 23)
	{
		while(saData.GetSize() > 0)
		{
			nIndex = ListCtrl.InsertItem(nRow, saData.GetAt(3));
			ListCtrl.SetItemText(nRow, 1, saData.GetAt(4));
			ListCtrl.SetItemText(nRow, 3, (saData.GetAt(5)));
			ListCtrl.SetItemText(nRow, 4, saData.GetAt(7));
			ListCtrl.SetItemText(nRow, 5, saData.GetAt(9));	
			ListCtrl.SetItemText(nRow, 6, saData.GetAt(12));	
			ListCtrl.SetItemText(nRow, 7, saData.GetAt(13));	
			ListCtrl.SetItemText(nRow, 8, saData.GetAt(11));	
			ListCtrl.SetItemText(nRow, 9, saData.GetAt(16));	
			ListCtrl.SetItemText(nRow, 10, saData.GetAt(18));
			ListCtrl.SetItemText(nRow, 11, saData.GetAt(20));
			ListCtrl.SetItemText(nRow, 12, saData.GetAt(17));
			ListCtrl.SetItemText(nRow, 13, saData.GetAt(22));
			ListCtrl.SetItemData(nIndex, atoi(CT2A(saData.GetAt(0))));
			nRow++;
			saData.RemoveAt(0, 23);
		}
	}
}

void CExploreListView2::OnRclick(NMHDR* pNMHDR, LRESULT* pResult)
{
	// TODO: Add your message handler code here and/or call default

	NM_LISTVIEW* pNMListView = (NM_LISTVIEW*)pNMHDR;

	CMenu menu;
	menu.LoadMenu(IDR_MENU2);
	CMenu* pContextMenu = menu.GetSubMenu(0);

	int i = 0;
	POINT point;
	CPoint pt(pNMListView->ptAction);
	point.x = pt.x;
	point.y = pt.y;
	::ClientToScreen(pNMHDR->hwndFrom, &point);

	int nID = pContextMenu->TrackPopupMenu(TPM_LEFTALIGN | TPM_LEFTBUTTON | TPM_RETURNCMD, point.x, point.y, AfxGetMainWnd());
	::SendMessage(AfxGetMainWnd()->GetSafeHwnd(), WM_COMMAND, nID, 0L);

	*pResult = 0;
}
