// ExploreView.cpp : implementation file
//

#include "stdafx.h"
#include "Explore.h"
#include "ExploreView.h"

#include "ExploreDoc.h"
#include "ChildFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CExploreView

IMPLEMENT_DYNCREATE(CExploreView, CListView)

CExploreView::CExploreView()
{
}

CExploreView::~CExploreView()
{
}

BEGIN_MESSAGE_MAP(CExploreView, CListView)
	//{{AFX_MSG_MAP(CExploreView)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CExploreView drawing

void CExploreView::OnDraw(CDC* pDC)
{
	CDocument* pDoc = GetDocument();
	// TODO: add draw code here
}

/////////////////////////////////////////////////////////////////////////////
// CExploreView diagnostics

#ifdef _DEBUG
void CExploreView::AssertValid() const
{
	CListView::AssertValid();
}

void CExploreView::Dump(CDumpContext& dc) const
{
	CListView::Dump(dc);
}

CExploreDoc* CExploreView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CExploreDoc)));
	return (CExploreDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CExploreView message handlers

BOOL CExploreView::PreCreateWindow(CREATESTRUCT& cs) 
{
	// TODO: Add your specialized code here and/or call the base class

	cs.style |= LVS_REPORT;

	return CListView::PreCreateWindow(cs);
}

void CExploreView::OnInitialUpdate() 
{
	CListView::OnInitialUpdate();

	// TODO: Add your specialized code here and/or call the base class

	CListCtrl& ListCtrl = GetListCtrl();
	if(ListCtrl.GetHeaderCtrl()->GetItemCount() > 0)
		return;

	ListCtrl.SetExtendedStyle(LVS_EX_HEADERDRAGDROP | LVS_EX_INFOTIP | LVS_EX_FULLROWSELECT);

	ListCtrl.InsertColumn(0, _T("Col 0"), LVCFMT_LEFT, 200);
	ListCtrl.InsertColumn(1, _T("Col 1"), LVCFMT_LEFT, 200);
	ListCtrl.InsertColumn(2, _T("Col 2"), LVCFMT_LEFT, 200);
	ListCtrl.InsertColumn(3, _T("Col 3"), LVCFMT_LEFT, 200);
	ListCtrl.InsertColumn(4, _T("Col 4"), LVCFMT_LEFT, 200);
}

void CExploreView::OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint) 
{
	// TODO: Add your specialized code here and/or call the base class

	//
}

void CExploreView::PopulateDetail()
{
	CListCtrl& ListCtrl = GetListCtrl();
	ListCtrl.DeleteAllItems();

	ListCtrl.InsertItem(ListCtrl.GetItemCount(), _T("detail"));
	ListCtrl.InsertItem(ListCtrl.GetItemCount(), _T("detail"));
	ListCtrl.InsertItem(ListCtrl.GetItemCount(), _T("detail"));
	ListCtrl.InsertItem(ListCtrl.GetItemCount(), _T("detail"));
}

void CExploreView::PopulateAsset()
{
	CListCtrl& ListCtrl = GetListCtrl();
	ListCtrl.DeleteAllItems();

	ListCtrl.InsertItem(ListCtrl.GetItemCount(), _T("topic"));
	ListCtrl.InsertItem(ListCtrl.GetItemCount(), _T("topic"));
	ListCtrl.InsertItem(ListCtrl.GetItemCount(), _T("topic"));
	ListCtrl.InsertItem(ListCtrl.GetItemCount(), _T("topic"));
}
