#pragma once

// CTestFormView form view

#include "ExploreDoc.h"

class CTestFormView : public CFormView
{
	DECLARE_DYNCREATE(CTestFormView)

protected:
	CTestFormView();           // protected constructor used by dynamic creation
	virtual ~CTestFormView();

public:
	enum { IDD = IDD_FORMVIEW_TEST };
#ifdef _DEBUG
	virtual void AssertValid() const;
#ifndef _WIN32_WCE
	virtual void Dump(CDumpContext& dc) const;
#endif
#else
#endif

// Operations
public:
	CExploreDoc* GetDocument();

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	virtual void OnInitialUpdate();
};

#ifndef _DEBUG  // debug version in ExploreView.cpp
inline CExploreDoc* CTestFormView::GetDocument()
   { return (CExploreDoc*)m_pDocument; }
#endif
